RBH_Largess = 0

function RBH_Init()
    --set version string
    RBH_VERSION = GetAddOnMetadata("RBH", "version")
   
    if RBH_HitList == nil then
        RBH_HitList = {}
    end      
   
    if RBH_Intel == nil then
        RBH_Intel = {}
    end
    
    if RBH_Claimed == nil then
        RBH_Claimed = {}
    end
   
    if RBH_CurrMoney == nil then
       RBH_CurrMoney = GetMoney()
    end
   
    if RBH_Config == nil then
       RBH_Config = {}
       RBH_Config["channel"] = "GUILD"
    end 

    if RBH_Config["ShowHorde"] == nil then
        RBH_Config["ShowHorde"] = true
    end
    
    RBH_BountyFilters.ShowHorde = RBH_Config["ShowHorde"]
    
    if RBH_Config["ShowAlliance"] == nil then
        RBH_Config["ShowAlliance"] = true
    end
    
    RBH_BountyFilters.ShowAlliance = RBH_Config["ShowAlliance"]
    
    if RBH_Config["ShowOpen"] == nil then
        RBH_Config["ShowOpen"] = true
    end
    
    RBH_BountyFilters.ShowOpen = RBH_Config["ShowOpen"]
   
    if RBH_Config["ShowClaimed"] == nil then
        RBH_Config["ShowClaimed"] = true
    end
    
    RBH_BountyFilters.ShowClaimed = RBH_Config["ShowClaimed"]
   
    if RBH_Config["ShowPaid"] == nil then
        RBH_Config["ShowPaid"] = true
    end
    
    RBH_BountyFilters.ShowPaid = RBH_Config["ShowPaid"]
    
    if RBH_Config["ShowRealmChannel"] == nil then
        RBH_Config["ShowRealmChannel"] = true
    end
    
    RBH_BountyFilters.ShowRealmChannel = RBH_Config["ShowRealmChannel"]
    
    if RBH_Config["ShowGuildChannel"] == nil then
        RBH_Config["ShowGuildChannel"] = true
    end
    
    RBH_BountyFilters.ShowGuildChannel = RBH_Config["ShowGuildChannel"]
    
    if RBH_Config["ShowPrivateChannel"] == nil then
        RBH_Config["ShowPrivateChannel"] = true
    end
    
    RBH_BountyFilters.ShowPrivateChannel = RBH_Config["ShowPrivateChannel"]
    
    if RBH_Config["RealmChannel"] == nil then
        RBH_Config["RealmChannel"] = true
    end
    
    if RBH_Config["GuildChannel"] == nil then
        RBH_Config["GuildChannel"] = true
    end
    
    if RBH_Config["PrivateChannel"] == nil then
        RBH_Config["PrivateChannel"] = true
    end    
  
    RBH_CreateGUI()   
    RBH_ActionQueueInit()   
   
    --get player faction and enemy faction
    RBH_PlayerFaction = UnitFactionGroup("player")
    
    if RBH_PlayerFaction == "Alliance" then
       RBH_EnemyFaction = "Horde"
    else
       RBH_EnemyFaction = "Alliance"
    end
   
    SLASH_RBH1 = "/rbh"
    SlashCmdList["RBH"] = RBH_Commands;
   
    --set portrait icon
    SetPortraitToTexture(RBH_HitListFrameSkullnXBonesTexture,"interface\\targetingframe\\targetdead")
    --SendAddonMessage("RBH_HL_SYNC_REQ",nil,"GUILD");
end  

function RBH_GetTotalIssuedBountiesValue()
    local i
    local amount = 0
    for i=1,#RBH_HitList do
        if RBH_HitList[i].issuer == RBH_GetFullName("player") and RBH_HitList[i].state ~= "RBH_PAID" and 
           RBH_HitList[i].state ~= "RBH_DEL" then
            amount = amount + RBH_HitList[i].amount
        end
    end
    
    return amount
end